from flask_wtf import FlaskForm
from wtforms.validators import DataRequired, Length
from wtforms import StringField, SubmitField, PasswordField

# 定义的表单都需要继承自FlaskForm
class UserForm(FlaskForm):

    username = StringField('用户名', validators=[DataRequired(), Length(3, 15)])
    password = PasswordField('密码', validators=[DataRequired(), Length(5, 15)])
    submit = SubmitField('登录')